###############################################################################
# Copyright (c) 2004 IBM Corporation and others.
# All rights reserved. This program and the accompanying materials 
# are made available under the terms of the Common Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/cpl-v10.html
# 
# Contributors:
#     IBM Corporation - initial API and implementation
###############################################################################

# Plugin
PLUGIN_NAME                  = Hyades Datapool Control Plugin
PROVIDER_NAME                = Eclipse.org
HYADES                       = Hyades

# Words
# Added to support datapool editing (PBS 12/06/03)
W_DATAPOOL					 = Datapool

# Added to support datapool editing (PBS 12/06/03)
EDT_DATAPOOL_TTL		     = Datapool Editor
EDT_DATAPOOL_DSC			 = The editor to be used with datapool.

# Added to support datapool editing (PBS 12/06/03)
WIZ_DATAPOOL_TTL			 = New Datapool
WIZ_DATAPOOL_GEN_PG_TTL		 = New Datapool
WIZ_DATAPOOL_GEN_PG_LOC_DSC	 = Defines the file resource to store the datapool.
WIZ_DATAPOOL_GEN_PG_ATT_DSC	 = Defines the name and description of the datapool.

# @psun
W_DATATABLE					= Data Table

# Added to support datapool editing (PBS 12/06/03)
# Add Column Action
INS_COL_TEXT                 = Add Variable...
INS_COL_LDESC                = Adds a variable into the datapool.

# Remove Column Action
DEL_COL_TEXT                 = Remove Variable
DEL_COL_LDESC                = Removes a variable from the datapool.

# Edit Column Action
EDIT_COL_TEXT                = Edit Variable...
EDIT_COL_LDESC               = Edits a variable in the datapool.

# Add Row Action
INS_ROW_TEXT                 = Add Record...
INS_ROW_LDESC                = Adds a record into the datapool.

# Remove Row Action
DEL_ROW_TEXT                 = Remove Record
DEL_ROW_LDESC                = Removes a record from the datapool.

# Edit Row Action
EDIT_ROW_TEXT                = Edit Record...
EDIT_ROW_LDESC               = Edits a record in the datapool.

# Add Row Group Action
INS_ROW_GRP_TEXT             = Add Equivalence Class...
INS_ROW_GRP_LDESC            = Adds an equivalence class into the datapool.

# Remove Row Group Action
DEL_ROW_GRP_TEXT             = Remove Equivalence Class
DEL_ROW_GRP_LDESC            = Removes an equivalence class from the datapool.

# Edit Row Group Action
EDIT_ROW_GRP_TEXT            = Edit Equivalence Class...
EDIT_ROW_GRP_LDESC           = Edits a equivalence class in the datapool.

# Cut Action
CUT_TEXT			         = Cut
CUT_LDESC           		 = Cuts a cell or record.

# Copy Action
COPY_TEXT		             = Copy
Copy_LDESC      		     = Copies a cell or record.

# Paste Action
PASTE_TEXT			         = Paste
PASTE_LDESC         		 = Pastes a cell or record.


# Datapool Column Dialog
DATA_COL_DLG_NAME			 		= Name:
DATA_COL_DLG_TYPE			 		= Type:
DATA_COL_DLG_INS			 		= Add After:
DATA_COL_DLG_MOVE			 		= Move After:
DATA_COL_DLG_HEAD_VAR		 		= <<left edge>>
DATA_COL_DLG_TITLE_EDIT	 		 	= Edit Variable
DATA_COL_DLG_TITLE_INS	 		 	= Add Variable
DATA_COL_DLG_ERROR_NAME_FORMAT		= {0} {1}{2} {3}
DATA_COL_DLG_ERROR_NAME_NOT_UNIQUE 	= Variable name is not unique.
DATA_COL_DLG_ERROR_NAME_NOT_VALID	= Variable name has invalid characters.
DATA_COL_DLG_ERROR_TYPE_NOT_VALID	= Variable type has invalid characters.

# Datapool Row Dialog
DATA_ROW_DLG_INS			 = Add After:
DATA_ROW_DLG_MOVE			 = Move After:
DATA_ROW_DLG_INDEX		 	 = Index:
DATA_ROW_DLG_HEAD_INDEX_VAR	 = <<head>>
DATA_ROW_DLG_TITLE_EDIT	 	 = Edit Record
DATA_ROW_DLG_TITLE_INS		 = Add Record
DATA_ROW_DLG_INS_INTO		 = Add Into:
DATA_ROW_DLG_MOVE_INTO		 = Move Into:

# Datapool Row Group Dialog
DATA_ROW_GRP_DLG_NAME		 			= Name:
DATA_ROW_GRP_DLG_INS		 			= Add After:
DATA_ROW_GRP_DLG_MOVE		 			= Move After:
DATA_ROW_GRP_DLG_HEAD_VAR	 			= <<top edge>>
DATA_ROW_GRP_DLG_TITLE_EDIT	 			= Edit Equivalence Class
DATA_ROW_GRP_DLG_TITLE_INS	 			= Add Equivalence Class
DATA_ROW_GRP_DLG_ERROR_NAME_NOT_UNIQUE 	= Equivalence Class name is not unique.
DATA_ROW_GRP_DLG_ERROR_NAME_NOT_VALID 	= Equivalence Class name has invalid characters.

# Datapool Dialog
DATA_DLG_ERROR_INDICATOR				= *
DATA_DLG_INVALID_NAME_CHARACTERS		= \t\n\r\"\\\' ,./<>?;:|!@#%^&*()-=+[]{}`~
DATA_DLG_INVALID_TYPE_CHARACTERS		= \t\n\r\"\\\' ,/<>?;:|!@#%^&*()-=+[]{}`~
DATA_DLG_INVALID_TYPE_FIRST_CHARACTER	= 01234567890
DATA_DLG_INSERT_VARIABLE_FORMAT			= {0} {1}
DATA_DLG_BEFORE							= Before
DATA_DLG_AFTER							= After
DATA_DLG_INS							= Add:
DATA_DLG_MOVE							= Move:
DATA_DLG_FIRST_ELEMENT				 	= As First Element

# Datapool Editor
DATA_EDT_DIVIDER			 			= ::

# CSV Import/Export Util
DATA_CSV_LINE							= Line
DATA_CSV_ERROR_RECORD_INDEX_DUP			= Duplicate record.
DATA_CSV_ERROR_RECORD_INDEX_ORDER		= Record not in proper order.

# Delete Variable Dialog
DATA_DEL_VAR_DLG_TITLE					= Delete Variable
DATA_DEL_VAR_DLG_SEL					= Select Variable:

# Simple Add Row Dialog
DATA_ADD_ROW_TITLE						= Add Row
DATA_ADD_ROW_OPTION_BEFORE				= Add Before
DATA_ADD_ROW_OPTION_AFTER				= Add After

# Copy and Paste Strings
DATA_PASTE_OVERWRITE					= Are you sure you want to overwrite the existing values?

# Shared strings
DATA_VARIABLE_NAME_FORMAT				= {0}{1}
DATA_VARIABLE_NAME						= Variable
DATA_EC_NAME							= EquivalenceClass
